<?php

namespace App\Admin\Controllers;

use App\Models\UserVipRecord;
use Dcat\Admin\Grid;
use Dcat\Admin\Http\Controllers\AdminController;

class UserVipRecordController extends AdminController
{
    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        return Grid::make(UserVipRecord::with(['user.info', 'combo']), function (Grid $grid) {
            $grid->model()->where('status', 1)->orderByDesc('created_at');
            $grid->column('id')->sortable();
            $grid->column('pay_id');
            $grid->column('user_id')->display(function () {
                $str = '';
                $str .= "<div style='margin-right:10px;display: flex;align-items: center'>";
                $str .= '<img data-action="preview-img" src="' . @$this->user->avatar . '" onerror="this.src=\'https://fourtiao.oss-cn-beijing.aliyuncs.com/zhangsiye/images/6b40343b27263be34cf3212bf44f74c3.png\'" style="height:50px;width:50px;cursor:pointer;margin-right:10px;" class="img img-thumbnail">';
                $str .= '<div>';
                $str .= '<p style="margin-bottom: 5px">' . @$this->user->nickname . '</p>';
                $str .= '<p style="margin-bottom: 0px">' . @$this->user->mobile . '</p>';
                $str .= '</div>';
                $str .= '</div>';

                return $str;
            });
            $grid->column('user.info.platform', '所属平台')
                ->using(config('global.platform'))
                ->label([1 => 'primary', 2 => 'success', 3 => 'info']);
            $grid->column('combo.name', '购买套餐');
            $grid->column('valid_day');
            $grid->column('created_at', '支付时间')->sortable();

            $grid->filter(function (Grid\Filter $filter) {
                $filter->panel();
                $filter->like('user.nickname', '昵称')->width(3);
                $filter->equal('user.mobile', '手机号')->width(3);
                $filter->equal('user.info.platform', '所属平台')->select(config('global.platform'))->width(3);
            });

            $grid->disableActions();
            $grid->disableCreateButton();
            $grid->disableDeleteButton();
            $grid->disableRowSelector();
            $grid->disableViewButton();
        });
    }
}
